import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { AfterViewInit, OnInit } from '@angular/core';
import { MediaService } from 'guma-common-model';
import { MatDialogRef } from '@angular/material/dialog';
import { UXMessageService } from 'guma-ng-material-kit';
import * as i0 from "@angular/core";
export declare class UploadMediaComponent implements OnInit, AfterViewInit {
    data: any;
    private uxMessageService;
    private fb;
    private mediaService;
    dialogRef: MatDialogRef<UploadMediaComponent>;
    orgId: string;
    form: UntypedFormGroup;
    error: string;
    uploadResponse: any;
    progressPercent: number;
    progressCurrentFile: string;
    folder: string;
    uploadInProgress: boolean;
    autoUpload: boolean;
    constructor(data: any, uxMessageService: UXMessageService, fb: UntypedFormBuilder, mediaService: MediaService, dialogRef: MatDialogRef<UploadMediaComponent>);
    ngAfterViewInit(): void;
    ngOnInit(): void;
    onFileChange(event: any): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadMediaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadMediaComponent, "ng-component", never, {}, {}, never, never, false>;
}
